0 Пользователей и 1 Гость просматривают эту тему.
  • 1 Ответов
  • 796 Просмотров
*

FeranD

  • Новичок
  • 2
  • 0 / 0
Дорогие друзья! Очень нужна ваша помощь в обновлении Joomla с 2.5.6 версии до 3х. Бьюсь с этой проблемой безрезультатно ровно третьи сутки. Перерыто огромное количество информации с форумов, с оффициального сайта(делал по инструкции предложенной там). Максимум что удалось так это обновиться до версии 2.5.28. Переход на версию 3.х нужен для разработки мобильной версии сайта через один из резиновых шаблонов. На версии 2.5.6 этого достичь не удалось.

Дано: Joomla 2.5.6, Denwer 3(
PHP - 5.3.13 ,
MySQL - 5.5.25 - MySQL Community Server (GPL),
phpMyAdmin - 3.5.1,
Apache/2.2.22 ).

Windows 7 Ultimate Edition Service Pack 1

При обновление через кнопку на панеле управления в Jooml'е до версии 3.5.1 происходит ошибка на 82.7% - Can't DROP 'usertype'; check that column/key exists SQL=ALTER TABLE `#__users` DROP INDEX `usertype`;
Обновление пробовал делать и начиная с версии 2.5.6 и с последней версии 2.5.28.
Что пробовал:
1. Обновлять до 3.0.0(3.6.5) через менеджер расширений - аналогичная ошибка с can't drop usertype, после неё получается кривой бекэнд, хоть и отображается версия 3.0.0
2. Копировать содержимое архивов с заменой файлов обновлений Joomla скачанных с оф сайта следующих версий - 3.4.4, 3.0.0, 3.6.5
3. Удалять абсолютно все сторонние расширения, оставляя только с пометкой Joomla Project
4. Обновлять кэш, включать максимальный уровень ошибок
5. Делать обновление на XAMPP версии 1.8.2(на англоязычном форуме нашёл решение через обновление именно на XAMPP 1.8.1)
6. Удалять usertype из базы данных





*

Apoca1ypto

  • Давно я тут
  • 743
  • 71 / 0
Во время спора в Интернете Ваш оппонент приводит неопровержимые доказательства своей точки зрения? Не отчаивайтесь. До...тесь до орфографии.
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Критическая уязвимость. Joomla 1.7

Автор Juseppe

Ответов: 18
Просмотров: 1906
Последний ответ 25.06.2018, 18:48:32
от vebmaster
Обязательно ли устанавливать обновление?

Автор kopyuliya

Ответов: 6
Просмотров: 459
Последний ответ 04.06.2018, 13:52:57
от lexxbry
Миграция с Joomla 1.5 на Joomla 1.6 с помощью J2XML Importer

Автор Nik

Ответов: 100
Просмотров: 46203
Последний ответ 27.04.2018, 17:02:57
от CrazyPr0ger
ошибка после обновления c Joomla 2.5 до 3

Автор akondr

Ответов: 23
Просмотров: 8657
Последний ответ 02.04.2018, 19:08:36
от SeBun
Не обновляется Joomla 2.5.28

Автор SPMBes

Ответов: 47
Просмотров: 3076
Последний ответ 20.03.2018, 21:44:44
от stendapuss